Dispatch Integration is aware of a newly emerging threat to cybersecurity from the recently released CVE-2021-44228 which is targeted at the Apache Log4j library.


Dispatch has conducted a systems analysis and concluded that no data processing systems such as Dispatch Handshake, Dispatch Compare or Dispatch Sentinel are affected.


We leverage libraries and platforms on Microsoft Azure and Microsoft .Net whereas Log4j is a Java platform issue.  Insofar as those products rely on external resources, our platform partners at ElasticSearch have stated that the versions of the software we use (ElasticSearch 7.6.2) are NOT susceptible to the Remote Code Execution exploit (RCE) within the ElasticCloud hosting service. (More details here on ElasticSearch).